The Update Inventory API allows the user to bulk update the inventory for multiple items. Use this endpoint to update the available quantity and out-of-stock purchase settings for multiple items in th
The Update Inventory API allows the user to bulk update the inventory for multiple items. Use this endpoint to update the available quantity and out-of-stock purchase settings for multiple items in the inventory.
http
POST https://services.leadconnectorhq.com/products/inventory
Authorization
Name
Type
Required
Example
Description
Authorization
string
Yes
Bearer token generated from the Leadway portal. See Authentication.
Version
string
Yes
2021-07-28
API version.
Body
Name
Type
Required
Example
Description
altId
string
Yes
6578278e879ad2646715ba9c
Account Id or Agency Id
altType
string
Yes
Possible values: 'account'
items (object[], required): Array of items to update in the inventory.
priceId (string, required): The unique identifier for the price, in MongoDB ID format. Example: 5e9f8f8f8f8f8f8f8f8f8f8
availableQuantity (number): The available quantity of the item. Example: 10
allowOutOfStockPurchases (boolean): Whether to continue selling the item when out of stock. Example: False
Responses
201 - Successful response
status (boolean, required): Status of api action Example: True
message (string): Success message Example: Successfully created